Bug 999859 - Should give a meaningful message when using 'oo-app-create' with some required options missing
Should give a meaningful message when using 'oo-app-create' with some require...
Status: CLOSED CURRENTRELEASE
Product: OpenShift Online
Classification: Red Hat
Component: Containers (Show other bugs)
2.x
All All
medium Severity low
: ---
: ---
Assigned To: Michal Fojtik
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-22 05:33 EDT by zhaozhanqi
Modified: 2015-05-14 19:26 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-29 08:54:39 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description zhaozhanqi 2013-08-22 05:33:51 EDT
Description of problem:
use 'oo-app-create' to create app. will show errors if it is missing options '--with-namespace' and '--with-app-name'.


Version-Release number of selected component (if applicable):
devenv_stage_448

How reproducible:
always

Steps to Reproduce:
1. ssh into instance
2. create one app use 'oo-app-create' missing option '--with-namespace' and '--with-app-name'

oo-app-create --with-app-uuid 271328262351287679451152 --with-container-uuid 271328262351287679451152


Actual results:
oo-app-create --with-app-uuid 271328262351287679451152 --with-container-uuid 271328262351287679451152
can't convert nil into String
/opt/rh/ruby193/root/usr/share/gems/gems/openshift-origin-common-1.13.5/lib/openshift-origin-common/utils/path_utils.rb:64:in `join'
/opt/rh/ruby193/root/usr/share/gems/gems/openshift-origin-common-1.13.5/lib/openshift-origin-common/utils/path_utils.rb:64:in `join'
/opt/rh/ruby193/root/usr/share/gems/gems/openshift-origin-node-1.13.9/lib/openshift-origin-node/model/application_container_ext/setup.rb:61:in `initialize_homedir'
/opt/rh/ruby193/root/usr/share/gems/gems/openshift-origin-container-selinux-0.2.1/lib/openshift/runtime/containerization/selinux_container.rb:68:in `create'
/opt/rh/ruby193/root/usr/share/gems/gems/openshift-origin-node-1.13.9/lib/openshift-origin-node/model/application_container.rb:174:in `block in create'
/opt/rh/ruby193/root/usr/share/gems/gems/openshift-origin-node-1.13.9/lib/openshift-origin-node/model/application_container.rb:169:in `open'
/opt/rh/ruby193/root/usr/share/gems/gems/openshift-origin-node-1.13.9/lib/openshift-origin-node/model/application_container.rb:169:in `create'
/usr/bin/oo-app-create:104:in `<main>'


Expected results:

should not show this errors and give a help message

Additional info:
Comment 1 openshift-github-bot 2013-08-27 12:39:51 EDT
Commit pushed to master at https://github.com/openshift/origin-server

https://github.com/openshift/origin-server/commit/0bedf0b06ce12185aef877cd28849e6c74d3eac5
Bug 999859 - Check required arguments for oo-app-create command
Comment 2 zhaozhanqi 2013-08-27 23:27:04 EDT
Tested this issue on devenv_3716, it has been fixed


oo-app-create --with-app-uuid 271328262351287679451152 --with-container-uuid 271328262351287679451152
ERROR: Missing required --with-app-name argument
== Synopsis

/usr/bin/oo-app-create: Creates a new application container.
  This command must be run as root.

== Usage

/usr/bin/oo-app-create   --with-app-uuid e335712492e011e1bae700262df50034 \
                --with-container-uuid 1c3a5f7a92e111e188d800262df50034 \
                --with-namespace mydomain \
                --with-app-name myapp

Note You need to log in before you can comment on or make changes to this bug.